Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSTeamButtonIncomingCall Class Reference

`#import <CSTeamButtonIncomingCall.h>`

Inherits NSObject.

## Instance Methods
(void) | - pickupWithCompletionHandler:
| Picks up a team button call. More...

## Properties
NSInteger | uniqueId
| Unique identifier of the Team Button call. More...
NSString * | callingName
| The person's name who has initiated the call. More...
NSString * | callingNumber
| The person's number who has initiated the call. More...
NSString * | calledName
| The person's name to whom the call is requested. More...
NSString * | calledNumber
| The person's name to whom the call is requested. More...
NSTimeInterval | delayInterval
| Specifies the delay interval in seconds the team button alert should be delayed by. More...

## Method Documentation

- (void) pickupWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Picks up a team button call.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSTeamButton::pickupCapability

## Property Documentation

- (NSString*) calledName
| read nonatomic assign

The person's name to whom the call is requested.

- (NSString*) calledNumber
| read nonatomic assign

The person's name to whom the call is requested.

- (NSString*) callingName
| read nonatomic assign

The person's name who has initiated the call.

- (NSString*) callingNumber
| read nonatomic assign

The person's number who has initiated the call.

- (NSTimeInterval) delayInterval
| read nonatomic assign

Specifies the delay interval in seconds the team button alert should be delayed by.

- (NSInteger) uniqueId
| read write nonatomic assign

Unique identifier of the Team Button call.

Please note that the value will not match the id of the call created as the result of team button pick up.

The documentation for this class was generated from the following file:

- CSTeamButtonIncomingCall.h